Get an alert template
curl --request GET \
--url https://api.example.com/alerts-v2/templates/{templateId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/alerts-v2/templates/{templateId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/alerts-v2/templates/{templateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "weekly-costs-threshold",
"name": "<string>",
"description": "<string>",
"type": "COST",
"icon": "<string>",
"available": true,
"unavailableReason": "MISSING_DATASOURCE",
"unavailableTooltip": "<string>",
"config": {
"alertForm": {
"name": "<string>",
"currency": "USD",
"thresholds": [],
"queryName": "",
"evaluationPeriod": "DAILY",
"thresholdType": "ABOVE",
"description": "",
"tagIds": [],
"scopeId": "<string>",
"condition": "<string>",
"dedup": {
"kind": "CALENDAR",
"calendarUnit": "WEEK"
}
},
"explorerRequest": {
"period": {
"aggBy": "Hour",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"datePreset": "TRAILING_90_DAYS",
"forecastDays": 1,
"comparisonPeriod": {
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"enabled": true,
"chartType": "WATERFALL"
}
},
"queries": [
{
"type": "condition",
"expression": "<string>",
"name": "<string>",
"colorIndex": 123,
"chartType": "BAR",
"alias": "<string>",
"visible": true
}
],
"eventsFilter": {
"githubSourceRepos": [],
"enableAllGithubRepos": true,
"customBusinessEvents": true,
"customTechnicalEvents": true,
"labels": [],
"commitments": false,
"reservations": false,
"marketplacePurchases": false,
"skuPriceChanges": false,
"sources": [
"custom"
]
},
"bookmarkedEvents": [
"<string>"
],
"scopeId": "<string>",
"limitOverride": 500
}
}
}{
"error": "<string>"
}Alerts V2
Get an alert template
GET
/
alerts-v2
/
templates
/
{templateId}
Get an alert template
Authorizations
Send Authorization: Bearer <credential> using either a Clerk session JWT or a Clerk API key (ak_*). API keys may identify a user (user_*) or organization (org_*) principal and are generated in the Clerk Dashboard under API keys.
Path Parameters
Available options:
weekly-costs-threshold, unused-reservation-cost, kubernetes-waste, aws-savings-plan-coverage, marginal-cost, rd-weekend-cost, egress-costs, untagged-resources, rolling-7d-relative-change, service-7d-cost-increase Response
object | null
Template configuration, or null when unavailable
Available options:
weekly-costs-threshold, unused-reservation-cost, kubernetes-waste, aws-savings-plan-coverage, marginal-cost, rd-weekend-cost, egress-costs, untagged-resources, rolling-7d-relative-change, service-7d-cost-increase Available options:
COST, BUDGET Available options:
MISSING_DATASOURCE, MISSING_METRIC, FEATURE_NOT_AVAILABLE, MISSING_LABEL Show child attributes
Show child attributes
Last modified on September 8, 2026
Was this page helpful?
